jif.lang

## Class MeetPolicy

- java.lang.Object
- - jif.lang.AbstractPolicy
  - - jif.lang.MeetPolicy

- All Implemented Interfaces:
    Policy
  Direct Known Subclasses:
    MeetConfPolicy, MeetIntegPolicy

      public abstract class MeetPolicy
      extends AbstractPolicy
      implements Policy

  Abstract class representing the meet of policies. All the policies should be of the same kind, either all IntegPolicies or all ConfPolicies.

- - ### Field Summary

    - ### Fields inherited from class jif.lang.AbstractPolicy

      `labelUtil`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.util.Set<Policy>` | `meetComponents()`
    `boolean` | `relabelsTo(Policy pol, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)` Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### meetComponents

          public java.util.Set<Policy> meetComponents()

    - #### relabelsTo

          public boolean relabelsTo(Policy pol,
                                    java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Description copied from interface: `Policy`
      Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s. If this method returns false, then the set is not altered at all.
      Specified by:
        `relabelsTo` in interface `Policy`
      Returns:

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in class `AbstractPolicy`

    - #### hashCode

          public final int hashCode()

      Specified by:
        `hashCode` in class `AbstractPolicy`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`